Bug 852730 - [RFE] REST api: Image statistics for templates
[RFE] REST api: Image statistics for templates
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: 3.2.0
Assigned To: Ayal Baron
Oded Ramraz
storage
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 08:38 EDT by Daniele
Modified: 2014-06-11 16:50 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-20 12:28:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniele 2012-08-29 08:38:52 EDT
1. Proposed title of this feature request
REST api: Image statistics for templates

2. Who is the customer behind the request?
Account name: 	ASML Netherlands B.V.
TAM/SRM customer: no
Strategic Customer: yes

3. What is the nature and description of the request?
 The CU wants to see the image statistics for templates via REST API. In case that the template contains qcow2 image, they can only see the max size of the images, but not the actual allocated size.

4. Why does the customer need this? (List the business requirements here)
templates will always be created with thin provisioned disk images. We know the configured size of course, but we have to look in the filesystem how large the disk image file actually is. This information can and will be used for forecasting the size of and the load on the filesystem(s). Templates are created on a day to day basis and by knowing the actual size of a template it is more manageable.

5. How would the customer like to achieve this? (List the functional requirements here)
either within the statistics collection or in the template collection an entry which states the disk usage. This can be static as the template will not change. No specific requirements, besides that it will be presented in bytes. Perhaps you need to add some additional fields if the template resides on more data stores, a value per datastore for instance?

6. For each functional requirement listed in question 5, specify how Red Hat
and the customer can test to confirm the requirement is successfully
implemented.
https://${RHEV-M}:8443/api/templates/${template}/disks
There is element <size>${size}</size> that contains the size of the disk. There should be one more element that will show the the actual size taken by the disk.

7. Is there already an existing RFE upstream or in Red Hat bugzilla?
no

8. Does the customer have any specific timeline dependencies?
no

9. Is the sales team involved in this request and do they have any additional input?
no

10. List any affected packages or components.
REST API

11. Would the customer be able to assist in testing this functionality if
implemented?
Yes
Comment 1 Ayal Baron 2013-03-10 14:35:02 EDT
Daniel, don't we report actual size in rest api?
Comment 2 Daniel Erez 2013-03-10 16:21:04 EDT
(In reply to comment #1)
> Daniel, don't we report actual size in rest api?

It has been added in Change-Id I64c1c231e3d5e60ad35bacf8031775a7220fbb32
Comment 3 Allon Mureinik 2013-06-20 12:28:05 EDT
Closing based on comment 2 - this feature was provided in RHEV-M 3.2

Note You need to log in before you can comment on or make changes to this bug.